[BUGFIX] Install Tool: Make Upgrade Wizard compatible with Oracle 00/36000/2
authorAndreas Fernandez <andreas.fernandez@aspedia.de>
Tue, 13 Jan 2015 14:50:46 +0000 (15:50 +0100)
committerBenjamin Mack <benni@typo3.org>
Tue, 13 Jan 2015 15:48:53 +0000 (16:48 +0100)
commitf81d2dc542abf610cd986325962ff74d95b821a0
treebb7ac8f275bbacbe97865672e66973f0b4625a71
parent12df2c8e53b6f340c210f30f669d7b3ace9a186e
[BUGFIX] Install Tool: Make Upgrade Wizard compatible with Oracle

The wizards in the Install Tool crash with Oracle due to improper
quoting of the values. Wrap the values with fullQuoteStr() to
ensure correct quoting for the used DBMS.

Releases: master, 6.2
Resolves: #64263
Change-Id: I355893b51cf9e02c0cdfbdaf16fd7760c5687068
Reviewed-on: http://review.typo3.org/36000
Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>
typo3/sysext/rtehtmlarea/Classes/Hook/Install/DeprecatedRteProperties.php